Bug 728178 - Review Request: xfce4-wmdock-plugin - Compatibility layer for running dockapps in an Xfce panel
Summary: Review Request: xfce4-wmdock-plugin - Compatibility layer for running dockapp...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-04 10:06 UTC by Martin Gieseking
Modified: 2011-08-22 14:49 UTC (History)
4 users (show)

Fixed In Version: xfce4-wmdock-plugin-0.3.4-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-17 01:03:40 UTC
mario.blaettermann: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Martin Gieseking 2011-08-04 10:06:56 UTC
Spec URL: http://mgieseki.fedorapeople.org/review/xfce4-wmdock-plugin.spec
SRPM URL: http://mgieseki.fedorapeople.org/review/xfce4-wmdock-plugin-0.3.4-1.fc15.src.rpm

Description:
The WMdock plugin is a compatibility layer for running WindowMaker dockapps 
on the XFCE desktop. It integrates the dockapps into a panel, closely 
resembling the look and feel of the WindowMaker dock or clip, respectively.

Comment 1 Mario Blättermann 2011-08-05 22:34:48 UTC
Nice to know that xfce4-wmdock-plugin is back! I'll have a look at it tomorrow.

Comment 2 Mario Blättermann 2011-08-06 13:31:43 UTC
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3256082

$ rpmlint -i -v *
xfce4-wmdock-plugin.i686: I: checking
xfce4-wmdock-plugin.i686: W: spelling-error Summary(en_US) dockapps -> dock apps, dock-apps, paddocks
The value of this tag appears to be misspelled. Please double-check.

xfce4-wmdock-plugin.i686: W: spelling-error %description -l en_US dockapps -> dock apps, dock-apps, paddocks
The value of this tag appears to be misspelled. Please double-check.

xfce4-wmdock-plugin.i686: I: checking-url http://goodies.xfce.org/projects/panel-plugins/xfce4-wmdock-plugin (timeout 10 seconds)
xfce4-wmdock-plugin.src: I: checking
xfce4-wmdock-plugin.src: W: spelling-error Summary(en_US) dockapps -> dock apps, dock-apps, paddocks
The value of this tag appears to be misspelled. Please double-check.

xfce4-wmdock-plugin.src: W: spelling-error %description -l en_US dockapps -> dock apps, dock-apps, paddocks
The value of this tag appears to be misspelled. Please double-check.

xfce4-wmdock-plugin.src: I: checking-url http://goodies.xfce.org/projects/panel-plugins/xfce4-wmdock-plugin (timeout 10 seconds)
xfce4-wmdock-plugin.src: I: checking-url http://archive.xfce.org/src/panel-plugins/xfce4-wmdock-plugin/0.3/xfce4-wmdock-plugin-0.3.4.tar.bz2 (timeout 10 seconds)
xfce4-wmdock-plugin.x86_64: I: checking
xfce4-wmdock-plugin.x86_64: W: spelling-error Summary(en_US) dockapps -> dock apps, dock-apps, paddocks
The value of this tag appears to be misspelled. Please double-check.

xfce4-wmdock-plugin.x86_64: W: spelling-error %description -l en_US dockapps -> dock apps, dock-apps, paddocks
The value of this tag appears to be misspelled. Please double-check.

xfce4-wmdock-plugin.x86_64: I: checking-url http://goodies.xfce.org/projects/panel-plugins/xfce4-wmdock-plugin (timeout 10 seconds)
xfce4-wmdock-plugin-debuginfo.i686: I: checking
xfce4-wmdock-plugin-debuginfo.i686: I: checking-url http://goodies.xfce.org/projects/panel-plugins/xfce4-wmdock-plugin (timeout 10 seconds)
xfce4-wmdock-plugin-debuginfo.x86_64: I: checking
xfce4-wmdock-plugin-debuginfo.x86_64: I: checking-url http://goodies.xfce.org/projects/panel-plugins/xfce4-wmdock-plugin (timeout 10 seconds)
xfce4-wmdock-plugin.spec: I: checking-url http://archive.xfce.org/src/panel-plugins/xfce4-wmdock-plugin/0.3/xfce4-wmdock-plugin-0.3.4.tar.bz2 (timeout 10 seconds)
5 packages and 1 specfiles checked; 0 errors, 6 warnings.

Common ignorable spelling errors... No real issues so far.



---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPLv2+ according to COPYING and source file headers

[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    b7e7f90add968dd71efd8d1b026b4373  xfce4-wmdock-plugin-0.3.4.tar.bz2
    b7e7f90add968dd71efd8d1b026b4373  xfce4-wmdock-plugin-0.3.4.tar.bz2.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
- See Koji build above.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[+] MUST: The spec file MUST handle locales properly.
[+] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[X] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
    I'm unsure if desktop-file-install is needed here. Anyway, we have a
    *.desktop file, but other plugins for Xfce don't even have the
    desktop-file-install scriptlet. No idea what to do here.

[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...

[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    Works properly on my machine (x86, xfce-panel-4.8.x). Well, there are some
    old bugs to fix from upstream's side, but it works with Xfce 4.8
    in any case.

[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[.] SHOULD: Your package should contain man pages for binaries/scripts.

Comment 3 Martin Gieseking 2011-08-06 14:23:16 UTC
Mario, thank you for the review!

(In reply to comment #2)
>     I'm unsure if desktop-file-install is needed here. Anyway, we have a
>     *.desktop file, but other plugins for Xfce don't even have the
>     desktop-file-install scriptlet. No idea what to do here.

Unfortunately, desktop-file-validate and desktop-file-install don't like Xfce desktop files, i.e. they report errors although the file variants conform the .desktop file specification. Thus, rpmbuild would fail spuriously if desktop-file-FOO were called. 
Additionally, xfce4-wmdock-plugin isn't a GUI application. Therefore it doesn't provide a "valid" .desktop file in %{_datadir}/applications/ and doesn't create a menu entry. I think the Xfce desktop files must be handled differently compared to those of GUI apps. After having a quick look at several specs of other Xfce plugins, this seems to be the common practice.

Comment 4 Mario Blättermann 2011-08-06 19:13:37 UTC
OK, that's what I thought anyway.

----------------

PACKAGE APPROVED

----------------

Comment 5 Martin Gieseking 2011-08-07 18:10:56 UTC
Thanks again for the review!


New Package SCM Request
=======================
Package Name: xfce4-wmdock-plugin
Short Description: Compatibility layer for running dockapps in an Xfce panel
Owners: mgieseki
Branches: f15 f16
InitialCC:

Comment 6 Gwyn Ciesla 2011-08-07 19:18:23 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2011-08-08 09:15:16 UTC
xfce4-wmdock-plugin-0.3.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/xfce4-wmdock-plugin-0.3.4-1.fc16

Comment 8 Fedora Update System 2011-08-08 09:15:23 UTC
xfce4-wmdock-plugin-0.3.4-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/xfce4-wmdock-plugin-0.3.4-1.fc15

Comment 9 Fedora Update System 2011-08-08 20:48:17 UTC
xfce4-wmdock-plugin-0.3.4-1.fc16 has been pushed to the Fedora 16 testing repository.

Comment 10 Fedora Update System 2011-08-17 01:03:34 UTC
xfce4-wmdock-plugin-0.3.4-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 11 Fedora Update System 2011-08-22 14:49:33 UTC
xfce4-wmdock-plugin-0.3.4-1.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.